{% extends '../base.html'%} {% block main %} {% load static %}
<div class="main-container" style="margin: 2rem 20% 0 20%">
  <div class="my-repair-title">
    <p>Résoluer un problème</p>
  </div>
  <!-- todo -->
  <style>
    .normal-display-page {
      display: flex;
      justify-content: center;
      align-items: center;
      font-family: Arial, sans-serif;
    }

    section {
      width: 80%;
      background-color: #f5f5f5;
      border-radius: 10px;
      padding: 20px;
      box-shadow: 0 2px 4px rgba(0, 0, 0, 0.2);
    }

    ul {
      list-style-type: none;
      padding: 0;
      margin-bottom: 20px;
    }

    li {
      margin-bottom: 5px;
      word-wrap: break-word;
    }

    li:first-child {
      font-weight: bold;
    }

  </style>

  <div class="normal-display-page">
    <section>
      <ul>
        <li>Fait le :</li>
        <li>
          {{ problem.created_at }}<br> Il y a {{ problem.created_at|timesince }}
        </li>
      </ul>
      {% if problem.user_email %}
      <ul>
        <li>Fait par : </li>
        <li>{{ problem.user_email }}</li>
      </ul>
      {% endif %}

      <ul>
        <li>Lien de page : </li>
        <li><span onclick="openLinkInNewTab(this)" class="fake-link">{{ problem.url|slice:":50" }}</span>...</li>
      </ul>
      <ul>
        <li>Titre : </li>
        <li>{{ problem.title }}</li>
      </ul>
      <ul>
        <li>Description : </li>
        <li>{{ problem.description|linebreaks }}</li>
      </ul>
      <ul>
        {% if problem.resolved %}
        <li>résolu le : </li>
        {{ problem.updated_at }}<br> Il y a {{ problem.updated_at|timesince }}
        <li class="mt-2 d-flex justify-content-center align-content-center"><a class="normal-link bg-danger text-white px-3 py-2 rounded shadow" href="{% url 'solve_problem' problem.id 'False' %}">Marquer comme non résolu ?</a></li>
        {% else %}
        <li class="mt-2 d-flex justify-content-center align-content-center"><a class="normal-link text-decoration-none bg-success text-white px-3 py-2 rounded shadow" href="{% url 'solve_problem' problem.id 'True' %}">Marquer comme résolu ?</a></li>
        {% endif %}
      </ul>
    </section>
  </div>

  <script src="{% static 'assets/js/script.js' %}"></script>
</div>

{% endblock main%}
